Windows 98 Professional Edition

WHAT IS WINDOWS 98 PROFESSIONAL
===============================

Windows 98 Professional is an unofficial updated / modified version of Windows
98, with minimum components. This affects:

 - Internet Explorer removed (Please use 5.5 sp2 if required)
 - DirectX 7a or recent 9.0c as an external inf/cab file (optional)
   Still recommend to use DirectX7 because 9 is quite buggy
 - Media Player removed (if required, use 6.4 or 7.xx)
 - Microsoft Data Acess Components removed
 - Most optional/hidden Windows components removed
 - All non-generic drivers removed
 - Windows Driver Model removed (try Windows 95 drivers instead,
   e.g. for soundcards)
 - Network Clients, Protocols and Servers
 - Uses Windows 95 Explorer (with shell32.dll). Originaly based on Win 98 lite,
   but now using custom shell32.dll for compatibility, which redirects most
   functions to shell95, and Explorer/... use shell95, instead.
 - Once installed, the setup CD is no longer required
 - Faster(?) Scandisk (Windows version) and Defrag from Windows ME
 - Updated Notepad ('hacked' Win32pad from www.gena01.com)
 - Preventing Ole update due security and incompatibility (some newer ole files
   are only Windows XP compatible, but many applications install them anyway on
   Windows 98) issues

CHANGELOG
=========

0.5.0.3 - Fixed files for NUSB 3.3
        - Lot's of cleanups / doublicates removed (-> smaller win98pro.drv)
        - Shell32.dll: Logging skipped if scandisk / defrag window opened(!)
        - DESK.CPL: Overwritten pattern stuff with new 'Stretch' stuff etc (so
          preview for 'Stretch' still same as 'Center')
        - SHELL95.DLL: Support for transparent desktop icons; Option found in:
        - PLUSTAB.DLL: Added option for new transparent desktop icons feature
0.5.0.2 - Fixed Shell.dll to 'use' Shell95.dll (fixes the device class loading
          issue after startup)
        - Patched WinHlp32.exe: GetCurrentDirectory <- GetSystemDirectory
          now opens without creating directories; Also bypassing
          CreateDirectoryA to prevent from creating blank directories
        - Patched Commdlg.dll: No longer repositioning filename textbox
        - Shell32.dll replacement (also was included with 0.5.0.1)
        - Modified SndVol32 device selection dialog (resource)
        - older riched32.dll (larger but fixes 'line insertion errors'), plus
          updated riched.dll
        - Kernel32.dll with inofficial 2GB copy fix (4.10.2226)
        - (Optional) KernelEx / KernelUpdate 0.3.2a
        - Shell95.dll shutdown dialog hacks
        - Fixed Msshrui.dll to 'use' Shell95.dll (fixes file sharing with new
          shell32.dll replacement)
        - Fixed grpconv.exe import table (added SHGetSpecialFolderPathA hint to
          ordinal AF (which is SHGetSpecialFolderPathA/W))
        - Inofficial Krnl386.exe fix 4.10.0.2000
        - Added from NUSB 3.3: "Standard PCI to USB Enhanced Host Controller"
                               "USB 2.0 Root Hub"
                               "Generic USB Hub"
        - New (multi-)monitor picture for DESK.CPL
        - Shortcut for 'Savely remove hardware'

0.5.0.1 - Patched shell95.dll; no longer shows 'pretty' filenames
          (needs testing...)
        - Redone explorer.exe/shell95.dll: A and S keys working again.
        - Smartdrive / cache checking for setup
        - ReDone Shell32.dll:
           * .rsrc and .reloc sections realigned (.rsrc/.reloc get last sections
             for more patching compatibility / resource modifying)
           * Redirecting SHAppBarMessage -> no longer crashes Explorer
           * Redirecting Ordinals $3b to $3f (Some dialogs)
           * Redirecting OpenAs_RunDLL (no reason)
           * Kernel update fails to patch! so no longer included
           * Most resources stripped (-> smaller size)
        - ReDone Kernel32.dll:
           * kernel patch 2.70 applied (w/o unicode / unicows.kup)
           * .rsrc section realigned (gets last section for more patching
             compatibility)
        - Advapi32.dll: kernel update 3.1 applied (advapi32.dll currently only!)
        - user.exe/user32.dll 4.10.2233 (Windows 98 again)
        - Some updated ole files:
           * asycfilt 2.40.4528
           * olepro32.dll 5.0.4528
           * stdole2.tlb 2.40.4528
        - Updated richedits:
           * riched20.dll 5.40.11.2220
           * usp10.dll 1.0422.3790.2706 (srv03_sp1_qfe.060518-1533)
        - updated w95inf32.dll
           * 4.71.0017.0
0.5.0.0 - New setup
        - PaintDesktopVersion & Versioning stuff
        - Update Internat.exe, and no more "What's this" in menu
        - grpconv.exe: No longer associates grp files
        - included msasn1.dll
        - included urlmon.dll
        - Winhlp32.exe now only shows one error message if file is missing.
        - Some control panels tweaks
        - Removed 'Access Control' network tab
        - 'Windows Logon' as default and only login type
        - NUsb 2.4 (Hotplug.dll / Systray.exe)
        - Inf cleanup
        - Apps.inf obsolete (needs testing...)
0.4.0.0 - Supports SHGetSpecialFolder Api and Win98 File Dialog(s)
                  shell32.dll -> shell95.dll
                  shell98.dll -> shell32.dll + updated (4.72.3812.600)
                  desk.cpl compatible
                  rnaui.dll compatible
        - Added shfolder.dll and regestry settings for shell paths
        - Rearranged Desktop / Winmenu / Recent / ... paths to
           <Windir>\UserData\...
        - Added IESUPP.INF as placeholder for external inf file
        - Removed mfcuia32.dll and mfcuiw32.dll
        - Re-Enabled mouse pointer setup (control panel, mouse)
        - Kernel update 2 (kernel32/shell32.dll)
        - gdi.exe/gdi32.dll and user.exe/user32.dll from Windows ME
        - WinHlp32.exe from Windows 2000 (supports mouse wheel scrolling)
0.3.3.4 - Updated files:
                  Grpconv.exe  5.00.2136.1
                  Shlwapi.dll  6.00.2800.1106
                  Wininet.dll  6.00.2800.1511
                  Wintrust.dll 5.131.1880.14
          Added msvcrt.dll to KnownDLLs
0.3.3.3 - Removed Regedit.exe form Windows ME
        - mprserv.dll resources
        - Optional extended fonts support, fonts following soon
        - History.txt no longer in precopy folder after setup
0.3.3.2 - Updated Regedit.exe from Windows ME
        - Added optional inf files: softwar(1-9).inf
0.3.3.1 - Updated files:
                  Cbss.vxd     4.10.0.2226
                  Kbdhid.vxd   4.10.0.2223
                  kernel32.dll 4.10.0.2225
                  Krnl386.exe  4.10.0.1999
                  Mouhid.vxd   4.10.0.2223
                  Mpr.dll      4.10.0.1998 (WNetEnumCachedPasswords Lock Patch)
                  Msafd.dll    4.10.0.2223
                  Msmouse.vxd  4.10.0.2223
                  Mswsosp.dll  4.10.0.2223
                  Ndis.vxd     4.10.0.2225
                  Opengl32.dll 4.1.1381.7035
                  Rnr20.dll    4.10.0.2223
                  Voltrack.vxd 4.10.0.1999
                  Vpowerd.vxd  4.10.0.2225
        - New startup logo
0.3.3.0 - Added Maximus Decim native USB-flashdisk for Windows 98 2.2
0.3.2.1 - Changed command.com text "Microsoft(R) Windows 98"
                  to "Windows 98 Professional"
        - ReAdded: Icons for control panel extensions
        - HexEdit: Patched Explorer.exe to support 256 color icons (SysTray)
        - Moved some cleanup-stuff from hiddev.inf (delete on driver install)
          to basedrv.inf (delete on setup)
0.3.2.0 - Updated files:
                  acpi.sys     4.10.0.2230
                  cdfs.vxd     4.10.0.1999
                  desk.cpl     4.72.3717.300
                  gdi.exe      4.10.0.2225
                  gdi32.dll    4.10.0.2225
                  ios.vxd      4.10.0.2225
                  irenum.vxd   4.10.0.2224
                  kernel32.dll 4.10.0.2224
                  ohci1394.sys 4.10.0.2228
                  powercfg.cpl 5.00.3103.1000
                  sbp2port.sys 4.10.0.2227
                  spoolss.dll  4.10.0.2223
                  sysdm.cpl    4.10.0.2224
                  timedate.cpl 4.10.0.2225
                  usbd.sys     4.10.0.2226
                  usbhub.sys   4.10.0.2227
                  user.exe     4.10.0.2233
                  user32.dll   4.10.0.2233
                  vfat.vxd     4.10.0.2223
                  vnbt.386     4.10.0.2149
                  winmm.dll    4.03.0.2201
        - Added Aspi: missing regestry settings and this files:
                  Aspienum.vxd 4.60 (1021)
        - Added "HKR,,FilterMemConfig,1,1" to mshdc.inf for "ESDI Port Driver"
                (Q276602)

0.3.1.2 - Removed mwdsp420.inf, Mwutl460.inf, Mwci.dll
0.3.1.1 - Fixed two pixels in startup logo (\logo.sys / sulogo.sys)
        - Updated Ole:
                  asycfilt.dll 2.40.0.4522
                  oleaut32.dll 2.40.0.4522
                  olepro32.dll 5.00.0.4522
                  stdole2.tlb  2.40.0.4522
        - Updated Riched32.dll 5.00.2134.1
0.3.1.0 - Lot's of inf optimations
        - Fixed some fdisk display issues
0.3.0.4 - Removed Mmmixer.dll (not used)
        - Added Asycfilt.dll, Ole32/Oleaut32/Olecli32/Olepro32.dll and Stdole/
          Stdole2/Stdole32.tlb to CheckVerDLLs
        - Updated Winboot.sys (311561USA8 / 2001-12-01)
        - Updated Hidclass.sys (4.10.0.2223)
        - Updated Winaspi.dll (4.60 (1021))
        - Added all aspi files to CheckVerDlls
        - Added mfc/msvcrt runtimes to CheckVerDlls
        - Some rearrangements
0.3.0.3 - Dos Fix V1.1 for command.com (fixes a bug that 'prevents you from
          searching hidden directories for a file/s'
        - OSR2CFIX (fixes most programs compiled with a 16-bit Borland C
          compiler cause a general protection fault (GPF))
        - Readded adpcm audio codecs / fixed them working
        - Updated mprserv.dll 4.10.2224
0.3.0.2 - Some files updated
        - 256 color foldericons (Explorer/shell32)
0.3.0.1	- Changing system colors from 16/256/truecolor working (missing string
          for reboot dialog in shell98.dll
0.3.0.0 - Updated lots of updates found by a friend of mine on some russian
          homepage(s?)

PROBLEMS
========

1. ASPI: For some programs/cd devices, you may have to install an ASPI layer
         update (e.g. no recording device found)

UPDATED FILES
=============

1394bus.sys  4.10.0.2226
Acpi.sys     4.10.0.2230
Apix.vxd     4.71 (0002)
Apmbatt      4.10.0.2224
Aspienum.vxd 4.60 (1021)
Asycfilt.dll 2.40.0.4528
Battc.sys    4.10.0.2223
Cbss.vxd     4.10.0.2226
Cdfs.vxd     4.10.0.1999
Cdvsd.vxd    4.10.0.2226
Comctl32.dll 5.81
Comdlg32.dll 4.10.0.2223
comdlg32.dll 4.72.3510.2300
Configmg.vxd 4.10.0.2225
Desk.cpl     4.72.3717.300
Dfs.vxd      4.10.0.2231
Disktsd.vxd  4.10.0.2223
Defrag.exe   4.90.0.2222 (4.90.3000)
Esdi_506.pdr 4.10.0.2226
Fdisk.exe    (1st)
Gdi.exe      4.90.0.3003
Gdi32.dll    4.90.0.3003
Grpconv.exe  5.00.2136.1
Hidclass.sys 4.10.0.2223
Hsflop.pdr   4.10.0.2224
Ifsmgr.vxd   4.10.0.2225
Ios.vxd      4.10.0.2225
Irenum.vxd   4.10.0.2224
Kbdhid.vxd   4.10.0.2223
kernel32.dll 4.10.0.2226 (2 GB Fix)
Krnl386.exe  4.10.0.2000
Keyb.com     (1st)
Kmixer.sys   4.10.0.2223
Mouhid.vxd   4.10.0.2223
Msconfig.exe 4.10.0.2223
Mfc42.dll    6.00.9782.0
Mouhid.vxd   4.10.0.2223
Mpr.dll      4.10.0.1998 (WNetEnumCachedPasswords Lock Patch)
Mprserv.dll  4.10.0.2224
Msafd.dll    4.10.0.2223
Msmouse.vxd  4.10.0.2223
Msnet32.dll  4.10.0.2225
Msnp32.dll   4.10.0.2225
Msvcrt.dll   6.10.9844.0
Mswsosp.dll  4.10.0.2223
Notepad.exe  4.10.0.2222 (Win32pad 1.4.4.0)
Ntkern.vxd   4.10.0.2224
Ntmap.sys    4.10.0.2227
Ntmaphlp.pdr 4.10.0.2223
Ndis.vxd     4.10.0.2225
Nwlink.vxd   4.10.0.2226
Ohci1394.sys 4.10.0.2228
Oleaut32.dll 2.40.0.4522
Olepro32.dll 5.00.0.4528
Opengl32.dll 4.1.1381.7035
Openhci.sys  4.10.0.2228
Pci.vxd      4.10.0.2228
Pcimp.pci    4.10.0.2223
Portcls.sys  4.10.0.2224
Powercfg.cpl 5.00.3103.1000
Regsvr32.exe 5.00.1641.1
Riched.dll   4.00.834.839
Riched20.dll 5.40.11.2220
Riched32.dll 5.00.1461.82
Rnr20.dll    4.10.0.2223
Sbemul.sys   4.10.0.2223
Sbp2port.sys 4.10.0.2227
Scandskw.exe 4.90.2222 (4.90.3000)
Scsiport.pdr 4.10.0.2224
Secur32.dll  4.10.0.2228
Shell95.dll  4.10.0.2223 (osr 4.00.1112)
Shell32.dll  4.72.3812.600
Shlwapi.dll  6.00.2800.1106
Snmpapi.dll  5.00.2195.5513
Spoolss.dll  4.10.0.2223
Stdole2.tlb  2.40.0.4528
Sysaudio.sys 4.10.0.2223
Sysdm.cpl    4.10.0.2224
Systray.exe  4.10.0.2224
Timedate.cpl 4.10.0.2225
Twain.dll    1.6.0.6
Twain_32.dll 1.6.0.6
Twunk_16.exe 1.6.0.6
Twunk_32.exe 1.6.0.6
Udf.vxd      4.10.0.2223
Uhcd.sys     4.10.0.2223
Usbaudio.sys 4.10.0.2224
Usbd.sys     4.10.0.2226
Usbhub.sys   4.10.0.2227
User.exe     4.10.0.2233
User32.dll   4.10.0.2233
Usp10.dll    1.0422.3790.2706 (srv03_sp1_qfe.060518-1533)
Vcomm.vxd    4.10.0.2225
Vdhcp.386    4.10.0.2226
Vfat.vxd     4.10.0.2223
Vip.386      4.10.0.2226
Vmcpd.vxd    4.10.0.2223
Vmouse.vxd   4.10.0.2225
Vnbt.386     4.10.0.2149
Vnetsup.vxd  4.10.0.2223
Vpcid.vxd    4.10.0.2224
Voltrack.vxd 4.10.0.1999
Vpowerd.vxd  4.10.0.2225
Vredir.vxd   4.10.0.2231
Vserver.vxd  4.10.0.2225
Vtcp.386     4.10.0.2223
Vmm.vxd      4.10.0.2226
W95inf32.dll 4.71.0017.0
Wdmaud.drv   4.10.0.2223
Wdmaud.sys   4.10.0.2226
Winaspi.dll  4.60 (1021)
Winboot.sys  311561USA8 / 2001-12-01
Winhlp32.exe 5.00.2195.6601
Wininet.dll  6.00.2800.1511
Winmm.dll    4.03.0.2201
Wintrust.dll 5.131.1880.14
Wnaspi32.dll 4.71 (0002)
